=== test/CMakeLists.txt ===
### TEST ###
find_package(geometry_msgs REQUIRED)

add_executable(test_port port.cpp)
ament_target_dependencies(test_port ${PROJECT_DEPENDENCIES})


add_executable(test_port_pose port_pose.cpp)
ament_target_dependencies(test_port_pose ${PROJECT_DEPENDENCIES})
############
